Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class ValidateProperty

    java.lang.Object
      |
      +--com.thaiopensource.validate.ValidateProperty

public class ValidateProperty
extends Object

Provides common properties to control reading schemas and validation.

See Also:
  `Schema.createValidator(com.thaiopensource.util.PropertyMap)`, `SchemaReader.createSchema(org.xml.sax.InputSource, com.thaiopensource.util.PropertyMap)`, `PropertyMap`, `ValidateProperty.ErrorHandlerPropertyId`, `RngProperty`, `SchematronProperty`

Nested Class Summary
`static class` | `ValidateProperty.EntityResolverPropertyId` A PropertyId whose value is constrained to be an instance of EntityResolver.
`static class` | `ValidateProperty.ErrorHandlerPropertyId` A PropertyId whose value is constrained to be an instance of ErrorHandler.
`static class` | `ValidateProperty.XMLReaderCreatorPropertyId` A PropertyId whose value is constrained to be an instance of XMLReaderCreator.

Field Summary
`static ValidateProperty.EntityResolverPropertyId` | `ENTITY_RESOLVER` Property specifying EntityResolver to be used for resolving entities.
`static ValidateProperty.ErrorHandlerPropertyId` | `ERROR_HANDLER` Property specifying ErrorHandler to be used for reporting errors.
`static ValidateProperty.XMLReaderCreatorPropertyId` | `XML_READER_CREATOR` Property specifying XMLReaderCreator used to create XMLReader objects needed for parsing XML documents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_HANDLER

    public static final ValidateProperty.ErrorHandlerPropertyId ERROR_HANDLER

  Property specifying ErrorHandler to be used for reporting errors. The value to which this PropertyId maps must be an instance of ErrorHandler.

  See Also:
    `ErrorHandler`

### ENTITY_RESOLVER

    public static final ValidateProperty.EntityResolverPropertyId ENTITY_RESOLVER

  Property specifying EntityResolver to be used for resolving entities. The value to which this PropertyId maps must be an instance of EntityResolver.

  See Also:
    `EntityResolver`

### XML_READER_CREATOR

    public static final ValidateProperty.XMLReaderCreatorPropertyId XML_READER_CREATOR

  Property specifying XMLReaderCreator used to create XMLReader objects needed for parsing XML documents. The value to which this PropertyId maps must be an instance of XMLReaderCreator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD